# Class RWSCommand`Abstract`

- Defined in src/commands/_command.ts:24

#####
Index

### Constructors

constructor

### Properties

name
_instances
cmdDescription

### Methods

execute
getCommandParameters
getName
getSourceFilePath
createCommand

## Constructors

### constructor

- new RWSCommand(name, childModule): RWSCommand

- #### Parameters

  - ##### name: string

  - ##### childModule: {
    children: any[];
    exports: any;
    id: string;
    loaded: boolean;
    paths: any[];
    }

    - ##### children: any[]

    - ##### exports: any

    - ##### id: string

    - ##### loaded: boolean

    - ##### paths: any[]

  #### Returns RWSCommand

  - Defined in src/commands/_command.ts:32

## Properties

### name

name: string

- Defined in src/commands/_command.ts:25

### `Static` `Protected` _instances

_instances: {
[key: string]: RWSCommand;
} = {}

#### Type declaration

- ##### [key: string]: RWSCommand

- Defined in src/commands/_command.ts:29

### `Static` cmdDescription

cmdDescription: string = null

- Defined in src/commands/_command.ts:27

## Methods

### execute

- execute(params?): Promise<void>

- #### Parameters

  - ##### params: ICmdParams = null

  #### Returns Promise<void>

  - Defined in src/commands/_command.ts:72

### getCommandParameters

- getCommandParameters(params): ICmdParamsReturn

- #### Parameters

  - ##### params: ICmdParams

  #### Returns ICmdParamsReturn

  - Defined in src/commands/_command.ts:92

### getName

- getName(): string

- #### Returns string

  - Defined in src/commands/_command.ts:77

### getSourceFilePath

- getSourceFilePath(): string

- #### Returns string

  - Defined in src/commands/_command.ts:61

### `Static` createCommand

- createCommand<T>(this): InstanceType<T>

- #### Type Parameters

  - #### T extends (new (...args) => RWSCommand)

  #### Parameters

  - ##### this: T

  #### Returns InstanceType<T>

  - Defined in src/commands/_command.ts:82

Generated using TypeDoc